module.exports = function(grunt){
grunt.initConfig({
  buildEnvironment: {
    development: {
      configFile: "../backend/config/template/devEnvironment.json"
    },
    production: {
      configFile: "../backend/config/template/prodEnvironment.json"
    },
    test: {
      configFile: "../backend/config/template/testEnvironment.json"
    },
    srcFolders: ["../backend/config/", "../backend/query/"]
  },
  zhIdGenerator: {
    options: {
      jsonPath: ['../'],
      menuPath: ["../menu.json"],
      replaceIds: false
    }
  },
});

  grunt.loadNpmTasks('grunt-zh-id-generator');
  grunt.loadNpmTasks('grunt-zh-environment-builder');

  grunt.registerTask('default', ['zhIdGenerator', 'buildEnvironment']);
};
